#include <inttypes.h>

struct TSContext;

struct count_packet_s {
    int64_t first_pcr;
    int64_t last_pcr;
    long pid_histo[8192];
    long n_keyframe;
    int nbytes;
};

// returns number of packets probed
long
mpegts_get_info(struct TSContext* ts0,
		int pat_probe_size,
		struct count_packet_s* cps);

int
mpegts_seek_pcr(struct TSContext* ts, int64_t pcr);
