#define AV_RB16(p) (((*(const unsigned char*)(p)) << 8) | *((const unsigned char*)(p)+1))
#define AV_RB32(p) (((*(const unsigned char*)(p)) << 24) | *((const unsigned char*)(p)+1) << 16 | ((*(const unsigned char*)(p)+2) << 8) | *((const unsigned char*)(p)+3))
#define AV_RB64(p) (((uint64_t)(*((const uint8_t*)(p)+0)) << 56) | \
		    ((uint64_t)(*((const uint8_t*)(p)+1)) << 48) | \
		    ((uint64_t)(*((const uint8_t*)(p)+2)) << 40) | \
		    ((uint64_t)(*((const uint8_t*)(p)+3)) << 32) |	\
		    ((uint64_t)(*((const uint8_t*)(p)+4)) << 24) |	\
		    ((uint64_t)(*((const uint8_t*)(p)+5)) << 16) |	\
		    ((uint64_t)(*((const uint8_t*)(p)+6)) <<  8) |	\
		    ((uint64_t)(*((const uint8_t*)(p)+7))      ))

#define AV_WB16(p, v) do { \
	* (unsigned char*)(p)      = ((v) >> 8);\
	*((unsigned char*)(p) + 1) =  (v);      \
    } while(0)
